601,100
562,"NULL"
586,
585,
564,
565,"r^c[HGvi=bPIc=xXYyaK?vzjyTZ@MfIY^kkSH3;fgePZ@e4ScI>jXuH_w:by`Bn=yhI6G^0003`14eA;@jfAyZu3jZfUauG7Op=WthuK0Q_EOmQPU?uTL;1Ty@HEW;Tk:hyChW>c8y5@q4n\W9MR6I^X6E7q<N8DR=eggIgwUY4t<R5>>Go]:>9a>l?1RQ\:^vT:EX@_"
559,0
593,
594,
595,
597,
598,
596,
800,
801,
566,0
567,","
588,"."
589,
568,""""
570,
571,
569,0
592,0
599,1000
560,34
Cube
Dim01
Dim02
Dim03
Dim04
Dim05
Dim06
Dim07
Dim08
Dim09
Dim10
Dim11
Dim12
Dim13
Dim14
Dim15
Dim16
FromCube
FromDim01
FromDim02
FromDim03
FromDim04
FromDim05
FromDim06
FromDim07
FromDim08
FromDim09
FromDim10
FromDim11
FromDim12
FromDim13
FromDim14
FromDim15
FromDim16
561,34
2
2
2
2
2
2
2
2
2
2
2
2
2
2
2
2
2
2
2
2
2
2
2
2
2
2
2
2
2
2
2
2
2
2
590,34
Cube,"AU_SalesExFactory"
Dim01,"AUD"
Dim02,"FST"
Dim03,"Base"
Dim04,"Base Cut"
Dim05,"Sales"
Dim06,"Total Divisions"
Dim07,"Total Departments"
Dim08,"All Customers"
Dim09,"Total Products by MPG"
Dim10,"FY-04"
Dim11,"FY-04"
Dim12,"FY-04"
Dim13,"FY-04"
Dim14,"FY-04"
Dim15,"FY-04"
Dim16,"FY-04"
FromCube,"AU_SalesExFactory"
FromDim01,"AUD"
FromDim02,"FST"
FromDim03,"Base"
FromDim04,"Base Cut"
FromDim05,"Sales"
FromDim06,"Total Divisions"
FromDim07,"Total Departments"
FromDim08,"All Customers"
FromDim09,"Total Products by MPG"
FromDim10,"FY-04"
FromDim11,"FY-04"
FromDim12,"FY-04"
FromDim13,"FY-04"
FromDim14,"FY-04"
FromDim15,"FY-04"
FromDim16,"FY-04"
637,34
Cube,4
Dim01,
Dim02,
Dim03,
Dim04,
Dim05,
Dim06,
Dim07,
Dim08,
Dim09,
Dim10,
Dim11,
Dim12,
Dim13,
Dim14,
Dim15,
Dim16,
FromCube,
FromDim01,FY-04
FromDim02,FY-04
FromDim03,FY-04
FromDim04,FY-04
FromDim05,FY-04
FromDim06,FY-04
FromDim07,FY-04
FromDim08,FY-04
FromDim09,FY-04
FromDim10,FY-04
FromDim11,FY-04
FromDim12,FY-04
FromDim13,FY-04
FromDim14,FY-04
FromDim15,FY-04
FromDim16,FY-04
577,0
578,0
579,0
580,0
581,0
582,0
572,80

#****GENERATED STATEMENTS START****
#****GENERATED STATEMENTS FINISH****

#Get Value

IF(FromDim16@<>'');
Value = CellGetN( FromCube, FromDim01, FromDim02, FromDim03, FromDim04, FromDim05, FromDim06, FromDim07, FromDim08, FromDim09, FromDim10, FromDim11, F
romDim12, FromDim13, FromDim14, FromDim15, FromDim16);
ElseIf(FromDim15@<>'');
Value = CellGetN( FromCube, FromDim01, FromDim02, FromDim03, FromDim04, FromDim05, FromDim06, FromDim07, FromDim08, FromDim09, FromDim10, FromDim11, F
romDim12, FromDim13, FromDim14, FromDim15);
ElseIf(FromDim14@<>'');
Value = CellGetN( FromCube, FromDim01, FromDim02, FromDim03, FromDim04, FromDim05, FromDim06, FromDim07, FromDim08, FromDim09, FromDim10, FromDim11, F
romDim12, FromDim13, FromDim14);
ElseIf(FromDim13@<>'');
Value = CellGetN( FromCube, FromDim01, FromDim02, FromDim03, FromDim04, FromDim05, FromDim06, FromDim07, FromDim08, FromDim09, FromDim10, FromDim11, F
romDim12, FromDim13);
ElseIf(FromDim12@<>'');
Value = CellGetN( FromCube, FromDim01, FromDim02, FromDim03, FromDim04, FromDim05, FromDim06, FromDim07, FromDim08, FromDim09, FromDim10, FromDim11, F
romDim12);
ElseIf(FromDim11@<>'');
Value = CellGetN( FromCube, FromDim01, FromDim02, FromDim03, FromDim04, FromDim05, FromDim06, FromDim07, FromDim08, FromDim09, FromDim10, FromDim11);
ElseIf(FromDim10@<>'');
Value = CellGetN( FromCube, FromDim01, FromDim02, FromDim03, FromDim04, FromDim05, FromDim06, FromDim07, FromDim08, FromDim09, FromDim10);
ElseIf(FromDim09@<>'');
Value = CellGetN( FromCube, FromDim01, FromDim02, FromDim03, FromDim04, FromDim05, FromDim06, FromDim07, FromDim08, FromDim09);
ElseIf(FromDim08@<>'');
Value = CellGetN( FromCube, FromDim01, FromDim02, FromDim03, FromDim04, FromDim05, FromDim06, FromDim07, FromDim08);
ElseIf(FromDim07@<>'');
Value = CellGetN( FromCube, FromDim01, FromDim02, FromDim03, FromDim04, FromDim05, FromDim06, FromDim07);
ElseIf(FromDim06@<>'');
Value = CellGetN( FromCube, FromDim01, FromDim02, FromDim03, FromDim04, FromDim05, FromDim06);
ElseIf(FromDim05@<>'');
Value = CellGetN( FromCube, FromDim01, FromDim02, FromDim03, FromDim04, FromDim05);
ElseIf(FromDim04@<>'');
Value = CellGetN( FromCube, FromDim01, FromDim02, FromDim03, FromDim04);
ElseIf(FromDim03@<>'');
Value = CellGetN( FromCube, FromDim01, FromDim02, FromDim03);
ElseIf(FromDim02@<>'');
Value = CellGetN( FromCube, FromDim01, FromDim02);                                         
Endif;

# Spread Value
IF(Dim16@<>'');
CellPutProportionalSpread( Value, Cube, Dim01, Dim02, Dim03, Dim04, Dim05, Dim06, Dim07, Dim08, Dim09, Dim10, Dim11, Dim12, Dim13, Dim14, Dim15, Dim16
);
ElseIf(Dim15@<>'');
CellPutProportionalSpread( Value, Cube, Dim01, Dim02, Dim03, Dim04, Dim05, Dim06, Dim07, Dim08, Dim09, Dim10, Dim11, Dim12, Dim13, Dim14, Dim15);
ElseIf(Dim14@<>'');
CellPutProportionalSpread( Value, Cube, Dim01, Dim02, Dim03, Dim04, Dim05, Dim06, Dim07, Dim08, Dim09, Dim10, Dim11, Dim12, Dim13, Dim14);
ElseIf(Dim13@<>'');
CellPutProportionalSpread( Value, Cube, Dim01, Dim02, Dim03, Dim04, Dim05, Dim06, Dim07, Dim08, Dim09, Dim10, Dim11, Dim12, Dim13);
ElseIf(Dim12@<>'');
CellPutProportionalSpread( Value, Cube, Dim01, Dim02, Dim03, Dim04, Dim05, Dim06, Dim07, Dim08, Dim09, Dim10, Dim11, Dim12);
ElseIf(Dim11@<>'');
CellPutProportionalSpread( Value, Cube, Dim01, Dim02, Dim03, Dim04, Dim05, Dim06, Dim07, Dim08, Dim09, Dim10, Dim11);
ElseIf(Dim10@<>'');
CellPutProportionalSpread( Value, Cube, Dim01, Dim02, Dim03, Dim04, Dim05, Dim06, Dim07, Dim08, Dim09, Dim10);
ElseIf(Dim09@<>'');
CellPutProportionalSpread( Value, Cube, Dim01, Dim02, Dim03, Dim04, Dim05, Dim06, Dim07, Dim08, Dim09);
ElseIf(Dim08@<>'');
CellPutProportionalSpread( Value, Cube, Dim01, Dim02, Dim03, Dim04, Dim05, Dim06, Dim07, Dim08);
ElseIf(Dim07@<>'');
CellPutProportionalSpread( Value, Cube, Dim01, Dim02, Dim03, Dim04, Dim05, Dim06, Dim07);
ElseIf(Dim06@<>'');
CellPutProportionalSpread( Value, Cube, Dim01, Dim02, Dim03, Dim04, Dim05, Dim06);
ElseIf(Dim05@<>'');
CellPutProportionalSpread( Value, Cube, Dim01, Dim02, Dim03, Dim04, Dim05);
ElseIf(Dim04@<>'');
CellPutProportionalSpread( Value, Cube, Dim01, Dim02, Dim03, Dim04);
ElseIf(Dim03@<>'');
CellPutProportionalSpread( Value, Cube, Dim01, Dim02, Dim03);
ElseIf(Dim02@<>'');
CellPutProportionalSpread( Value, Cube, Dim01, Dim02);                                         
Endif;




573,3

#****GENERATED STATEMENTS START****
#****GENERATED STATEMENTS FINISH****
574,3

#****GENERATED STATEMENTS START****
#****GENERATED STATEMENTS FINISH****
575,3

#****GENERATED STATEMENTS START****
#****GENERATED STATEMENTS FINISH****
576,CubeAction=1511DataAction=1503CubeLogChanges=0
638,1
804,0
1217,1
900,
901,
902,
903,
906,
907,
908,
904,0
905,0
909,0
911,
912,
913,
914,
915,
916,
917,1
918,1
919,0
920,50000
921,""
922,""
923,0
924,""
925,""
926,""
927,""
